Add lines of coverage
POST
/broker/submissions/{submission_id}/coverages
const url = 'https://api.hedgespecialty.com/api/v1/broker/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/coverages';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"lines":["example"],"producer_email":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.hedgespecialty.com/api/v1/broker/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/coverages \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "lines": [ "example" ], "producer_email": "example" }'The portal’s Add coverage, open to connected apps and machine credentials. On an instant-flow file, the Hedge Instant Quote markets the new lines bring in are selected and start preparing; no other market is reached.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”submission_id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
lines
required
Array<string>
producer_email
string
Examplegenerated
{ "lines": [ "example" ], "producer_email": "example"}Responses
Section titled “Responses”lines_added and the markets_added
coverage_change_unavailable or markets_not_chosen
Unknown line